Bug 97154 - (USB)PC hangs when i plug HP PhtoSmart 315 Digital camera
(USB)PC hangs when i plug HP PhtoSmart 315 Digital camera
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-10 18:10 EDT by riki
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
content of /proc/bus/usb/devices (1.57 KB, text/plain)
2003-12-01 17:28 EST, riki
no flags Details

  None (edit)
Description riki 2003-06-10 18:10:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; it-IT; rv:1.2.1) Gecko/20030225

Description of problem:
when i plug my USB digital camera HP PhotoSmart 315 (with a 256 MB compact
flash), after a few minutes my PC hangs with Caps Lock and Scroll Lock flashing
(it worked fine on RH 8.0).
Here is an extract of /var/log/messages when i plug the camera

Jun 10 23:11:15 localhost kernel: hub.c: new USB device 00:04.2-1, assigned
address 3
Jun 10 23:11:15 localhost kernel: usb.c: USB device 3 (vend/prod 0x3f0/0x6102)
is not claimed by any active driver.
Jun 10 23:11:18 localhost /etc/hotplug/usb.agent: Setup usb-storage for USB
product 3f0/6102/100
Jun 10 23:11:18 localhost kernel: Initializing USB Mass Storage driver...
Jun 10 23:11:18 localhost kernel: usb.c: registered new driver usb-storage
Jun 10 23:11:18 localhost kernel: scsi2 : SCSI emulation for USB Mass Storage
devices
Jun 10 23:11:18 localhost kernel:   Vendor: HP        Model: USB CAMERA       
Rev: 1.00
Jun 10 23:11:18 localhost kernel:   Type:   Direct-Access                     
ANSI SCSI revision: 02
Jun 10 23:11:18 localhost kernel: Attached scsi removable disk sdb at scsi2,
channel 0, id 0, lun 0
Jun 10 23:11:18 localhost kernel: SCSI device sdb: 40913 512-byte hdwr sectors
(21 MB)
Jun 10 23:11:18 localhost kernel: sdb: Write Protect is off
Jun 10 23:11:18 localhost kernel:  sdb: sdb1
Jun 10 23:11:18 localhost kernel: USB Mass Storage support registered.
Jun 10 23:11:19 localhost kernel: sda : READ CAPACITY failed.
Jun 10 23:11:19 localhost kernel: sda : status = 1, message = 00, host = 0,
driver = 28
Jun 10 23:11:19 localhost kernel: Current sd00:00: sense key Not Ready
Jun 10 23:11:19 localhost kernel: Additional sense indicates Medium not present
Jun 10 23:11:19 localhost kernel: sda : block size assumed to be 512 bytes, disk
size 1GB.
Jun 10 23:11:19 localhost kernel: sda: Write Protect is off
Jun 10 23:11:19 localhost kernel:  sda: I/O error: dev 08:00, sector 0
Jun 10 23:11:19 localhost kernel:  I/O error: dev 08:00, sector 0
Jun 10 23:11:19 localhost kernel:  unable to read partition table
Jun 10 23:11:19 localhost kernel: Device not ready.  Make sure there is a disc
in the drive.
Jun 10 23:12:13 localhost kernel: usb.c: USB disconnect on device 00:04.2-1
address 3
Jun 10 23:47:51 localhost syslogd 1.4.1: restart.


Version-Release number of selected component (if applicable):
hotplug-2002_04_01-17

How reproducible:
Always

Steps to Reproduce:
1.turn on PC
2.log in
3.plug the camera
    

Actual Results:  the PC hangs after a couple of minutes with scroll lock and
caps lock flashing.

Expected Results:  I should be able to mount /dev/sdb1 and read the photos (as
it was on RH 8.0)

Additional info:
Comment 1 Bill Nottingham 2003-06-10 19:19:36 EDT
If your LEDs are flashing, that means a kernel panic.
Comment 2 riki 2003-06-19 06:34:03 EDT
On another PC (HP Brio), RH9, i can plug my HP Photosmart 315 and download the 
photos.

The PC which hangs has the following hardware (related to USB/SCSI)
1) SCSI controller: Chip Initio 740
2) Iomega SCSI Zip 100 external
3) Atapi CD-RW (=> hdc=ide-scsi)
4) ASUS A7V133 MB with Promise ultra 100 Ata Raid Controller on board (PDC20265)
5) Wacom Tablet Intuos usb

I hope it may help
Comment 3 Alan Cox 2003-06-22 14:22:35 EDT
Is this with the current errata kernel or and old one ?
Comment 4 riki 2003-06-23 03:39:28 EDT
It is with the current errata kernel:
uname -r -> 2.4.20-18.9
Comment 5 Pete Zaitcev 2003-07-28 17:42:54 EDT
As was said before, flashing LEDs mean a panic.
It is essential to capture its text. Perhaps you can stay
in text mode when you reproduce the problem (switch to text
with <Alt><Ctrl>F1, back with <Alt>F7).
Comment 6 riki 2003-09-04 05:16:10 EDT
I could capture this text, I hope it will be usefull
thanx

e-scsi ide-cd cdrom nls_iso8859-1 nls_cp437 vfat fat evdev wacom keybdev mouse
CPU:    0
EIP:    0060:[<e0856f6d>]   Not tainted
EFLAGS: 00010202

EIP is at usb_destroy_configuration [usbcore] 0xdd (2.4.20-19.9)
eax: 00000000   ebx: dcec9e00   ecx: dc2a1700   edx: 6f732e78
esi: 00000000   edi: db857e40   ebp: 6f732e78   esp: d9209ee8
ds: 0068   es: 0068   ss: 0068
Stack: dc2a1740 00000000 00000000 d92bbe8c dc2a1700 dcec9e00 00000000 00000000
       dcec9e00 dcec9e00 00000000 db857e40 dcec9e00 e0856324 dcec9e00 00000000
       e086dc64 dcec9e00 df8b8140 df8b8140 00000000 00000000 00000000 c255799c
Call Trace:   [<e0856324>] usb_free_dev_R70982628 [usbcore] 0x34 (0xd9209f1c))
[<e086dc64>] process_urv [usb-uhci] 0x164 (0xd9209f28))
[<e086ddf3>] uhci_interrupt [usb-uhci] 0x93 (0xd9209f54))
[<c010a8c5>] handle_IRQ_event [kernel] 0x45 (0xd9209f80))
[<c010aa55>] do_IRQ [kernel] 0x75 (0xd9209fa0))
[<c010d498>] call_do_IRQ [kernel] 0x5 (0xd9209fc0))

Code: 8b 45 00 85 c0 0f 84 a4 00 00 00 c7 44 24 14 00 00 00 00 31
 <0>Kernel panic: Aiee, killing interrupt handler!
In interrupt handler - not syncing
Comment 7 Pete Zaitcev 2003-11-10 19:12:14 EST
Thanks a lot for the trace. It seems similar to one I captured
in bug 104349 (with great effort, I might note). Please do not dup
bugs - they are for different products.

I would love to see /proc/bus/usb/devices taken when the
camera is connected.
Comment 8 riki 2003-12-01 17:28:49 EST
Created attachment 96268 [details]
content of /proc/bus/usb/devices
Comment 9 Pete Zaitcev 2003-12-23 16:15:57 EST
OK, so it is a bulk transport. I might have a fix for that.
Please test this:
 ftp://people.redhat.com/zaitcev/utest/
Select one which is appropriate for your architecture.
That test kernels were built for RHEL 3, but they should sit
ok on top of RHL 9 as well.
Comment 10 riki 2003-12-23 17:03:19 EST
Thanks, but I have 2 questions,
1) I have switched to fedora core 1 (same problem), can I test those
files the same?
2) do I have to install all files appropriate for my architecture (ie
rpm -ivh *athlon*)?
Thank You very much (and btw Merry Christmas)
Comment 11 Pete Zaitcev 2003-12-23 17:10:18 EST
The same fix for Fedora Core 1 is in the pipeline, committed
to 2.4.22-1.2136. You might wait for that to come about.

Otherwise, it should work, although I do not remember if
everything is compatible. Select the same architecture you
have installed normally. If old kernel was .athlon, take same.
Comment 12 Pete Zaitcev 2004-08-19 19:10:14 EDT
Is this still a problem? What kernel version?
Comment 13 riki 2004-09-02 06:32:51 EDT
I've switched to FC2 few weeks after it was released.
It was still a problem (with all updates installed) when I switched.
The problem (in a different form) is still there in FC2 and I
submitted a new bug (maybe I should have changed this).
See https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=128751
Comment 14 Bugzilla owner 2004-09-30 11:41:07 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.